#include <bits/stdc++.h>

using namespace std;

int maxcif(int p, int n,int a[]){
    int s=a[p];
    for(int i=p+1; i<=n; i++)
        if(a[i]>s)
            s=a[i];
    return s;
}


int a[1000010];
int main()
{
    int n; 
    cin >> n;
    for(int i=1; i<=n; i++)
        cin >> a[i];
    
    for(int i=1; i<=n; i++)
    {
        int m=maxcif(i, n, a);
        if(m!=a[i])
        {
            for(int j=n; j>0; j--)
                if(a[j]==m)
                {
                    swap(a[j], a[i]);
                    break;
                }
            break;
        }
        if(i==n)
        {
            bool q=false;
            for(int j=2; j<n; j++)
                if(a[j]==a[j-1])
                {
                    q=true;
                    break;
                }
            if(q==false)
                swap(a[n], a[n-1]);
        }
    }
    
    for(int i=1; i<=n; i++)
        cout << a[i] << ' ';
    cout << endl;
    
    return 0;
}